@import '~@angular/material/theming';

@mixin mat-custom-badge-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary ); 
  $warn: map-get($theme, warn);


  .mat-badge-accent,
  .mat-badge-warn {

    .mat-badge-content{
      font-weight: 600;
      font-size: 0.75rem;
      line-height: 1rem;
      right: 0;
      border-radius: 0.5rem;      
      white-space: pre-line;
      width: auto;
      height: 1rem;
      padding: 0 0.25rem;
    
    }
  }
  .mat-badge-accent {

    .mat-badge-content{

        background-color: mat-color($accent, 200);
        color: mat-color($accent, 700);
  
    }
  }
  .mat-badge-warn {

    .mat-badge-content{

        background-color: mat-color($warn, 500);
        color: $white;
  
    }
  }

  .mat-badge-medium{
     &.mat-badge-overlap{
      &.mat-badge-after{
        .mat-badge-content{
          right: -1.5rem;
        }
      }
    }
  } 
}

